HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

List Gateway Cluster tunnels

(Deprecated) Retrieves a list of tunnels present in a cluster with details like tunnel name, gateway, encapsulation, health and more.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 256

The name of the cluster formed by gateway.

Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
tunnelNameeq and in
healtheq and in
statuseq and in
gatewayeq and in
encapsulationeq and in
modeeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Comma separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.

Supported fields are tunnelName, gateway, encapsulation, destinationIpAddress, sourceIpAddress, mode, uptime and vni.

int64
0 to 100
Defaults to 20

Denotes the maximum number of gateways returned in the response.

string

Specifies the pagination cursor for the next page of resources.

Minimum value: 1

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json